#### D.14.1.26 arrRandom

Procedure from library `arr.lib` (see arr_lib).

Usage:
  arrRandom(n,v,N); int n,v,N

Return:
  Random arrangement, where m is the number of hyperplanes, n the dimension, d the upper bound for absolute value of coefficients.

Note:
  You can also write arr = random(d,m,n) to create random arrangements

Example:

    LIB "arr.lib";
    ring R = 0,x(1..20),dp;
    arrRandom(7,3,15);
    ==> _[1]=2*x(1)-6*x(2)-3*x(3)+4*x(5)+x(6)-4*x(7)-3*x(8)-x(9)+x(10)-3*x(11)-6*\
       x(12)-x(13)+2*x(14)-6*x(15)-4
    ==> _[2]=x(1)-3*x(2)-4*x(3)-7*x(5)-3*x(6)+x(8)-3*x(9)-4*x(10)-x(11)-7*x(12)-2\
       *x(13)-3*x(14)-1
    ==> _[3]=4*x(1)+2*x(2)+5*x(3)-x(4)+6*x(5)+5*x(6)-6*x(7)+5*x(8)+x(10)+3*x(11)-\
       5*x(12)+2*x(13)+6*x(14)+x(15)+3
    ==>

See also: arrBoolean; arrBraid; arrEdelmanReiner; arrRandom; arrTypeB; arrTypeD.

User manual for Singular version 4.4.1, 2025, generated by texi2html.